function some_eigs = eigs_noniid2(param)

gam = param.gam;
btil = param.btil;
thet = param.thet;
lam = param.lam;
kap = param.kap;
babylam = param.babylam;
phipi = param.phipi;

Tmat      = zeros(4,4);
Tmat(1,1) = 1;
Tmat(1,2) = phipi/gam;
Tmat(2,2) = -btil*phipi;
Tmat(2,3) = 1;
Tmat(3,1) = -(1-thet)/lam;
Tmat(3,3) = -(1-babylam);
Tmat(3,4) = 1;
Tmat(4,1) = -kap;
Tmat(4,2) = 1;

TP1mat      = zeros(4,4);
TP1mat(1,1) = 1;
TP1mat(1,2) = 1/gam;
TP1mat(1,4) = -lam;
TP1mat(2,2) = -btil;
TP1mat(2,3) = btil;
TP1mat(3,4) = btil*babylam;
TP1mat(4,2) = btil;

if babylam>0
    some_eigs = eigs(pinv(TP1mat)*Tmat);
elseif babylam==0
    some_eigs = eigs(pinv(Tmat)*TP1mat);
end

